#!/bin/sh
# hardwire eth0 at 192.168.0.1/24

. install2-init-functions

IFACEDIR="$destdir/etc/net/ifaces/eth0"

bind_by_mac()
{
	MAC="`ip li sh dev $1 | fgrep 'link/ether' | sed 's#^ *link/ether ##' | cut -d' ' -f1`"
	[ -z "$MAC" ] || echo "$1	mac $MAC" >> "$destdir/etc/iftab"
}

# this default is hardwired in several more places at the moment...
mkdir -p "$IFACEDIR" ||:
echo 192.168.0.1/24 > "$IFACEDIR/ipv4address"
cat > "$IFACEDIR/options" << EOF
TYPE=eth
BOOTPROTO=static
EOF

# bind by MAC address
# see also https://bugzilla.altlinux.org/show_bug.cgi?id=14872
IFS=': '
ip li | fgrep -B1 link/ether \
| while read num iface junk; do
	bind_by_mac "$iface"
	read nextline
done
